SparrowDesk
Contact fields

Get a contact field by ID

Retrieve a single contact field along with the IDs of its field options. Requires "view contacts" scope.

GET
/contacts/fields/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Contact field ID

Response Body

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/contacts/fields/0"
{
  "data": {
    "id": 100000144,
    "name": "Priority Level",
    "type": "dropdown",
    "internal_name": "priority_level",
    "description": "Customer priority tier",
    "is_active": true,
    "is_default": false,
    "field_options": [
      {
        "id": 24,
        "name": "Low",
        "position": 1
      }
    ],
    "created_at": 1781455256,
    "updated_at": 1781455256
  }
}
{
  "error": {
    "message": "Contact field with id 999 not found"
  }
}
{
  "error": {
    "message": "Error while fetching contact field"
  }
}